Bug 8486 - Raid options unnecessarily restricted.
Summary: Raid options unnecessarily restricted.
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-15 09:51 UTC by Chris Cogdon
Modified: 2015-01-07 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-14 18:16:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Cogdon 2000-01-15 09:51:17 UTC
It is not possible, with the current installer, to create a RAID1
partition with only one volume. This is not a restriction of the raid-
tools, but that of the installer.

Why would I want to do this?

I need to create a new disk with redhat-6.1 and a raid volume, insert that
into a machine along with another disk (machine only has two drive slots),
copy the data onto the new 6.1 disk, then put a second new disk into the
drive and add the partition on the new disk into the RAID1 set (which will
copy all the data across).

Yes, I know I can do this by creating it initially with two partitions in
the set, then remove one before starting the copy process. But... it /is/
an unnecessary limitation on the installer.

Comment 1 Jay Turner 2000-02-14 18:16:59 UTC
Disk Druid is set up to impose some restrictions on the user to prevent doing
things they would otherwise not want to do.  A part of this is stuff like you
describe.  You can always use fdisk in order to create whateven partitions you
would like and assign them as you wish.


Note You need to log in before you can comment on or make changes to this bug.